<script>

import config from "../../config";
import Layout from "../../layouts/main";
import PageHeader from "../../components/page-header";
import { pageService } from "../../services";

export default {
    components: { Layout, PageHeader,pageService },
    data() {
        return {
        config: config,
        typeform: {}
        };
    },
    mounted(){
        this.getContentPageById();
    },
    methods: {
        getContentPageById(){
            pageService.getContentPageById({id: this.$route.params.id})
                .then(response => {
                    this.typeform = response.data.result;
            });
        }
    },
};
</script>
<template>
    <body>
        <header>
            <h1> {{typeform.page_title}} </h1>
        </header>
        <section class="cd-faq" style="padding:15px;">
            <div class="text-muted mt-4">
                <span v-html="typeform.page_content"></span>
            </div>
        </section>
    </body>
</template>